4.0.0
-----

Removed all FHIR endpoints

3.0.0
-----

- Major refactoring to separate the private and public use of the gem
- Added `Practitioner`
- Extracts some business and methods from `User` to `Practitioner`
- Deleted `Communication`. Use `CommunicationRequest` from now on

2.4.0
-----

- Added `CommunicationRequest` and `Medium` concepts in order to better comply with FHIR philosophy

2.3.0
-----

- Added ContentString object
- A Communication can be sent with a Binary and an optional ContentString object

2.2.0
-----

- A Communication can be sent with a Binary instead of an Attachment

2.1.0
-----

- Added user :create_telecom for fax
- Added user :create_address (create_channel will be depreciated)

2.0.0
-----

- Major refactoring on objects to better manage Communications
- Added the possibility to select a Category
- Added the possibility to find a Communication

1.6.8
-----

- A channel json can be invalid without raising an exception

1.6.7
-----

- A channel cannot be used if invalid

1.6.5
-----

- Addresses can display multiple lines

1.6.5
-----

- Added custom addresses creation

1.6.4
-----

- Added Patient management
- Fixed missing informations about address type channels

1.6.3
-----

- Content type can now be set on an Attachment

1.6.2
-----

- Updated user search endpoint (new strategy)

1.6.1
-----

- Better handling when a user has no channel

1.6.0
-----

- Added FHIR communications

1.5.2
-----

- Threadsafe strategy for the user creation to include the persistence strategy

1.5.1
-----

- Threadsafe strategy for the token refresh to include the persistence strategy

1.5.0
-----

- Added threadsafe strategy when refreshing a token

1.4.0
-----

- Added user :save and :find methods

1.3.0
-----

- Added flow :save method

1.2.0
-----

- Added user settings management

1.1.0
-----

- Added the `expiration_margin` configuration to force refresh soon-to-be-expired tokens
- Check the validity of the provided URL [#1]

1.0.2
-----

- Error messages contains more information about failing API requests

1.0.1
-----

- Token validation is more strict
- Added a Changelog :)


1.0.0
-----

- Major refactoring
- Added OAuth support
