require 'spec_helper'

describe Lifen::Configuration do

  describe ':site' do

    context 'invalid site' do

      let(:invalid_site) { "http://website.fr" }

      it 'raises an error' do
        expect{
          Lifen.configure do |config|
            config.site = invalid_site
          end
        }.to raise_error(Lifen::Error, "Invalid 'site' provided in configuration: 'http://website.fr', a trailing slash is missing")
      end
    end

  end

end